Name:         xdg-utils
Version:      1.1.3
Release:      5
Summary:      A set of easily desktop environment integration tools
License:      MIT
URL:          http://portland.freedesktop.org/
Source0:      https://people.freedesktop.org/~rdieter/xdg-utils/xdg-utils-%{version}.tar.gz
Source1:      xdg-utils-git_checkout.sh

Patch0000:    0001-open-for-post-1.1.3-development.patch
Patch0001:    0002-xdg-open-better-pcmanfm-check-BR106636-BR106161.patch
Patch0002:    CVE-2020-27748.patch

BuildArch:    noarch

BuildRequires:gawk xmlto lynx
Requires:     coreutils desktop-file-utils which

%description
The xdg-utils package is a set of simple scripts that provide
basic desktop integration functions for any Free Desktop, such as Linux.
The following tools are included in xdg-utils:
* xdg-desktop-menu      Install desktop menu items
* xdg-desktop-icon      Install icons to the desktop
* xdg-icon-resource     Install icon resources
* xdg-mime              Query information about file type handling and
                        install descriptions for new file types
* xdg-open              Open a file or URL in the user's preferred application
* xdg-email             Send mail using the user's preferred e-mail composer
* xdg-screensaver       Control the screensaver

%package help
Summary:   Help document for the xdg-utils package
Buildarch: noarch

%description help
Help document for th xdg-utils package.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure

%make_build

%install
%make_install

%files
%doc ChangeLog LICENSE README TODO
%{_bindir}/xdg-*

%files help
%{_mandir}/man1/xdg-*

%changelog
* Tue Jun 15 2021 wutao <wutao61@huawei.com> - 1.1.3-5
- fix CVE-2020-27748

* Fri Oct 25 2019 Lijin Yang <yanglijin@huawei.com> - 1.1.3-4
- Package init
